## Legal

- If you would like to contribute code to this project you can do so through GitHub by forking the repository and sending a pull request.
- Before we merge your code into the project you must sign the Contributor License Agreement (CLA).
- If you haven't previously signed a the CNCF CLA, you'll automatically be asked to when you open a pull request. Alternatively, we can send you a PDF that you can sign and scan back to us. Please create a new GitHub issue to request a PDF version of the CLA.

## Developer

- If you are making a large change, you should submit a proposal issue first so that you don't risk your feature being denied
- Fork the codebase on github
- Clone your fork to your machine
- Create a branch describing your change
- Develop your feature and push changes to your branch in your fork
- Add your name to the `CONTRIBUTORS` file
- Open a pull request from your fork and branch to master on github.com/kuberhealthy/kuberhealthy
- Celebrate! 🎉

## General Requirements

- The code must be formatted with `go fmt`
- The change must pass all tests
- The change must include tests for new functionality created
