/*
 Copyright 2020 The Knative Authors

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
*/
// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	"k8s.io/apimachinery/pkg/runtime/serializer"
	"k8s.io/client-go/kubernetes/scheme"
	"k8s.io/client-go/rest"
	"k8s.io/client-go/tools/clientcmd"
)

type KHCheckV1Interface interface {
	RESTClient() rest.Interface
	KuberhealthyChecksGetter
}

// KHCheckV1Client is used to interact with features provided by the khcheck group.
type KHCheckV1Client struct {
	restClient rest.Interface
}

func (c *KHCheckV1Client) KuberhealthyChecks(namespace string) KuberhealthyCheckInterface {
	return newKuberhealthyChecks(c, namespace)
}

func Client(kubeConfigFile string) (*KHCheckV1Client, error) {

	// make a new crd check client
	c, err := rest.InClusterConfig()
	if err != nil {
		c, err = clientcmd.BuildConfigFromFlags("", kubeConfigFile)
	}

	client, err := NewForConfig(c)
	if err != nil {
		return nil, err
	}
	return client, err
}

// NewForConfig creates a new KHCheckV1Client for the given config.
func NewForConfig(c *rest.Config) (*KHCheckV1Client, error) {
	config := *c
	if err := setConfigDefaults(&config); err != nil {
		return nil, err
	}
	client, err := rest.RESTClientFor(&config)
	if err != nil {
		return nil, err
	}
	return &KHCheckV1Client{client}, nil
}

// NewForConfigOrDie creates a new KHCheckV1Client for the given config and
// panics if there is an error in the config.
func NewForConfigOrDie(c *rest.Config) *KHCheckV1Client {
	client, err := NewForConfig(c)
	if err != nil {
		panic(err)
	}
	return client
}

// New creates a new KHCheckV1Client for the given RESTClient.
func New(c rest.Interface) *KHCheckV1Client {
	return &KHCheckV1Client{c}
}

func setConfigDefaults(config *rest.Config) error {

	err := ConfigureScheme("comcast.github.io", "v1")
	if err != nil {
		return err
	}

	gv := SchemeGroupVersion
	config.GroupVersion = &gv
	config.APIPath = "/apis"
	config.NegotiatedSerializer = serializer.WithoutConversionCodecFactory{CodecFactory: scheme.Codecs}

	if config.UserAgent == "" {
		config.UserAgent = rest.DefaultKubernetesUserAgent()
	}

	return nil
}

// RESTClient returns a RESTClient that is used to communicate
// with API server by this client implementation.
func (c *KHCheckV1Client) RESTClient() rest.Interface {
	if c == nil {
		return nil
	}
	return c.restClient
}
